<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@color/dynamic_white">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true">


        <RelativeLayout
            android:id="@+id/item_recommend_trend_discuss_rel"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="15dp"
            android:layout_below="@+id/item_recommend_trend_rel">

            <View
                android:id="@+id/item_recommend_trend_line_v"
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/dynamic_title_bottom_line_bg" />



            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/item_recommend_trend_discuss_rcv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/item_recommend_trend_line_v"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:layout_marginTop="15dp" />
            <TextView
                android:id="@+id/item_recommend_trend_discuss_num_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/item_recommend_trend_discuss_rcv"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:text="查看8条评论"
                android:textColor="@color/platform_main_theme" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:layout_below="@+id/item_recommend_trend_discuss_rel"
            android:background="#f3f3f3" />

        <RelativeLayout
            android:id="@+id/item_recommend_trend_rel"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="18dp"
            android:layout_alignParentTop="true"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true">

            <RelativeLayout
                android:id="@+id/item_recommend_trend_user_rel"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <RelativeLayout
                    android:id="@+id/item_recommend_trend_user_head_rel"
                    android:layout_width="45dp"
                    android:layout_height="45dp"
                    android:layout_marginLeft="15dp">

                    <ImageView
                        android:id="@+id/item_recommend_trend_user_head_iv"
                        android:layout_width="45dp"
                        android:layout_height="45dp"
                        android:src="@drawable/dynamic_head_place_hold_pic" />


                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/item_recommend_trend_user_name_rel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentTop="true"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="3dp"
                    android:layout_toRightOf="@+id/item_recommend_trend_user_head_rel">

                    <TextView
                        android:id="@+id/item_recommend_trend_user_name_tv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:text="小明"
                        android:textColor="@color/dynamic_text_trend_black" />

                    <ImageView
                        android:id="@+id/item_recommend_trend_user_gender_iv"
                        android:layout_width="12dp"
                        android:layout_height="12dp"
                        android:layout_toRightOf="@+id/item_recommend_trend_user_name_tv"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="5dp"
                        android:scaleType="fitXY"
                        android:src="@drawable/dynamic_male" />
                </RelativeLayout>


                <TextView
                    android:id="@+id/item_recommend_trend_time_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/item_recommend_trend_user_name_rel"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="7dp"
                    android:layout_toRightOf="@+id/item_recommend_trend_user_head_rel"
                    android:text="23分钟前"
                    android:textColor="@color/dynamic_text_trend_defult"
                    android:textSize="12sp" />
                <TextView
                    android:id="@+id/item_recommend_trend_souce_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/item_recommend_trend_user_name_rel"
                    android:layout_marginTop="7dp"
                    android:layout_toRightOf="@+id/item_recommend_trend_time_tv"
                    android:text="-来自安卓终端"
                    android:textColor="@color/dynamic_text_trend_defult"
                    android:textSize="12sp" />
            </RelativeLayout>

            <TextView
                android:id="@+id/item_recommend_trend_title_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/item_recommend_trend_user_rel"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:layout_marginTop="15dp"
                android:text="标题"
                android:textStyle="bold"
                android:textColor="#333333"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/item_recommend_trend_content_tv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/item_recommend_trend_title_tv"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:layout_marginTop="15dp"
                android:lineSpacingExtra="3dp"
                android:textSize="16sp"
                android:text="外交部回应“朝鲜正准备第六次核试验”】有报道称，朝鲜正在准备进行第六次核试验，预计此次核试规模将比上一次增加十几倍。对此，外交部回应表示：中方反对朝鲜核试的立场是明确和一贯的。当前半岛形势高度复杂敏感，任何可能加剧半岛局势紧张的举动都是不可取的。希望相关各方都保持冷静克制，负起自己的责任，不要采取进一步相互刺激和加剧局势紧张的行动。"
                android:textColor="@color/dynamic_text_trend_black" />


            <RelativeLayout
                android:id="@+id/item_recommend_trend_img_rel"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:paddingLeft="10dp"
                android:paddingRight="10dp"
                android:layout_below="@+id/item_recommend_trend_content_tv" >


                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/item_recommend_trend_img_rcv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:id="@+id/item_recommend_trend_img_num_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentTop="true"
                    android:layout_marginTop="5dp"
                    android:background="@drawable/dynamic_radian_bg"
                    android:paddingBottom="10dp"
                    android:layout_marginRight="5dp"
                    android:paddingLeft="20dp"
                    android:paddingRight="20dp"
                    android:paddingTop="10dp"
                    android:text="共9张"
                    android:textColor="@color/dynamic_white"
                    android:textSize="15sp" />
            </RelativeLayout>

            <TextView
                android:id="@+id/text_trend"
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:maxLines="1"
                android:gravity="center_vertical"
                android:layout_marginLeft="15dp"
                android:ellipsize="end"
                android:textSize="14sp"
                android:textColor="@color/platform_main_theme"
                android:layout_below="@+id/item_recommend_trend_img_rel"
                tools:text="#表白话题#"/>


            <RelativeLayout
                android:id="@+id/item_recommend_trend_zan_rel"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_below="@+id/text_trend"
                android:layout_marginBottom="10dp"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp">

                <TextView
                    android:id="@+id/item_recommend_trend_readed_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="2345浏览"
                    android:textColor="@color/dynamic_text_trend_defult" />

                <TextView
                    android:id="@+id/item_recommend_trend_zannum_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="15dp"
                    android:layout_toRightOf="@+id/item_recommend_trend_readed_tv"
                    android:text="2345赞"
                    android:visibility="gone"
                    android:textColor="@color/dynamic_text_trend_defult" />

                <ImageView
                    android:id="@+id/item_recommend_trend_zan_iv"
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:layout_centerVertical="true"
                    android:layout_toLeftOf="@+id/text_zan_num"
                    android:src="@drawable/dynamic_newsfeed_like"/>

                <TextView
                    android:id="@+id/text_zan_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="温暖"
                    android:minWidth="30dp"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="10dp"
                    android:drawablePadding="5dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/dynamic_text_trend_defult"
                    android:layout_toLeftOf="@+id/item_recommend_trend_discuss_iv"/>
                <ImageView
                    android:id="@+id/item_recommend_trend_discuss_iv"
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:layout_toLeftOf="@+id/text_talk_num"
                    android:layout_centerVertical="true"
                    android:src="@drawable/dynamic_newsfeed_reply"/>
                <TextView
                    android:id="@+id/text_talk_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="评论"
                    android:minWidth="30dp"
                    android:textColor="@color/dynamic_text_trend_defult"
                    android:layout_marginLeft="5dp"
                    android:layout_centerVertical="true"
                    android:drawablePadding="5dp"
                    android:gravity="center_vertical"
                    android:layout_alignParentRight="true"/>
            </RelativeLayout>
        </RelativeLayout>
    </RelativeLayout>
</RelativeLayout>
